package com.jiuqi.grid.output;

package .tmp;

import com.jiuqi.grid.output.HTMLGridGenerator;
import com.jiuqi.grid.output.IPropertySet;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

public final class PropertySet implements IPropertySet {
  private Map finder = new HashMap<Object, Object>();
  
  private List entries = new ArrayList();
  
  public void put(String key, Object value) {
    Entry entry = (Entry)this.finder.get(key);
    if (entry == null) {
      entry = new Entry(key, value);
      this.finder.put(key, entry);
      this.entries.add(entry);
    } else {
      entry.setValue(value);
    } 
  }
  
  public void remove(String key) {
    Entry entry = (Entry)this.finder.remove(key);
    if (entry != null)
      this.entries.remove(entry); 
  }
  
  public Iterator iterator() {
    return this.entries.iterator();
  }
  
  public void clear() {
    this.finder.clear();
    this.entries.clear();
  }
}
